import * as _nuxt_schema from '@nuxt/schema';
import { LogLevel } from 'consola/core';
export * from '@storybook-vue/nuxt';

interface ModuleOptions {
    /**
     * The route where the Storybook application will be available in development mode.
     *
     * @default '/_storybook'
     */
    route: string;
    /**
     * The port where the Storybook application server will be started.
     *
     * @default 6006
     */
    port: number;
    /**
     * The host where the Storybook application server will be started.
     *
     * @default Environment variable 'STORYBOOK_HOST' or 'http://localhost'
     * @example 'http://localhost'
     */
    host: string;
    /**
     * Log level for the terminal output.
     *
     * @default nuxt.options.logLevel
     */
    logLevel: LogLevel;
    /**
     * Enable the module
     * @default true
     */
    enabled: boolean;
    /**
     * Whether to enable HTTPS.
     *
     * @default false
     *
     * @example
     * ```
     * https: {
     *   key: './server.key',
     *   cert: './server.crt'
     * }
     * ```
     */
    https: boolean | {
        key: string;
        cert: string;
    };
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions, ModuleOptions, false>;

export { type ModuleOptions, _default as default };
